import { Specification } from "../model/Specification";
import { JsonSchemaJson } from "./JsonSchemaJson";
export declare class OpenAPIJson extends JsonSchemaJson {
    data: Record<string, any>;
    inlineObjects: Record<string, any>;
    transform(schema: string): Promise<Specification>;
    private transformPath;
    private parsePayload;
    private parseArgument;
    private parseArgumentSchema;
    private parseResponseRef;
    private extractSchema;
    private resolve;
    protected normalizeRef(ref: string): string;
}
