import { HttpClient } from '@angular/common/http';
import { TagCollection, Document, DocumentCollection } from "typehub-javascript-sdk";
import * as i0 from "@angular/core";
export declare class TypeHubService {
    private httpClient;
    private baseUrl;
    private client;
    constructor(httpClient: HttpClient);
    findDocuments(search?: string): Promise<DocumentCollection>;
    findDocument(user: string, name: string): Promise<Document>;
    export(user: string, name: string, version: string): Promise<string | undefined>;
    findTags(user: string, name: string): Promise<TagCollection>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeHubService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TypeHubService>;
}
