import { EventEmitter } from '@angular/core';
import { Argument } from "../../model/Argument";
import { Specification } from "../../model/Specification";
import * as i0 from "@angular/core";
export declare class ArgumentComponent {
    data: Array<Argument>;
    specification: Specification;
    dataChange: EventEmitter<Argument[]>;
    result: Array<Argument>;
    newName?: string;
    newIn?: 'path' | 'query' | 'header';
    newType?: string;
    types: {
        key: string;
        value: string;
    }[];
    ins: {
        key: string;
        value: string;
    }[];
    ngOnInit(): void;
    add(): void;
    remove(name?: string): void;
    changeValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArgumentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ArgumentComponent, "typeschema-arguments", never, { "data": { "alias": "data"; "required": false; }; "specification": { "alias": "specification"; "required": false; }; }, { "dataChange": "dataChange"; }, never, never, false, never>;
}
