import { EventEmitter, OnInit } from '@angular/core';
import { Specification } from "../../model/Specification";
import { Throw } from "../../model/Throw";
import * as i0 from "@angular/core";
export declare class ThrowComponent implements OnInit {
    data: Array<Throw>;
    specification: Specification;
    contentTypes: Array<{
        name: string;
        value: string;
    }>;
    dataChange: EventEmitter<Throw[]>;
    result: Array<Throw>;
    newCode?: number;
    newType?: string;
    errorStatusCodes: {
        key: number;
        value: string;
    }[];
    ngOnInit(): void;
    add(): void;
    removeByIndex(throwIndex: number): void;
    getNotUsedCodes(): {
        key: number;
        value: string;
    }[];
    changeValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThrowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThrowComponent, "typeschema-throws", never, { "data": { "alias": "data"; "required": false; }; "specification": { "alias": "specification"; "required": false; }; "contentTypes": { "alias": "contentTypes"; "required": false; }; }, { "dataChange": "dataChange"; }, never, never, false, never>;
}
