import { Specification } from "./model/Specification";
import { TypeHubService } from "./typehub.service";
import { BCLayerService } from "./bclayer.service";
import { ResolverService } from "./resolver.service";
import * as i0 from "@angular/core";
export declare class ImportService {
    private transformer;
    constructor(typeHubService: TypeHubService, bcLayerService: BCLayerService, resolverService: ResolverService);
    transform(type: SchemaType, schema: string): Promise<Specification>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImportService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ImportService>;
}
export type SchemaType = 'internal' | 'typeapi' | 'typeschema' | 'openapi-json' | 'openapi-yaml' | 'jsonschema-json' | 'jsonschema-yaml';
