import { Include } from "./model/Include";
import { Type } from "./model/Type";
import { TypeHubService } from "./typehub.service";
import { HttpClient } from "@angular/common/http";
import * as i0 from "@angular/core";
export declare class ResolverService {
    private typeHubService;
    private httpClient;
    private transformer;
    constructor(typeHubService: TypeHubService, httpClient: HttpClient);
    resolveIncludeTypes(include: Include | undefined): Promise<Array<Type> | undefined>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResolverService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ResolverService>;
}
