import { Specification } from "../model/Specification";
import { TypeHubService } from "../typehub.service";
import { Type } from "../model/Type";
import { TransformerInterface } from "./TransformerInterface";
export declare class RawJson implements TransformerInterface {
    protected typeHubService: TypeHubService;
    nestedObjects: Array<Type>;
    constructor(typeHubService: TypeHubService);
    transform(schema: string): Promise<Specification>;
    protected build(data: Record<string, any>): Promise<Specification>;
    private transformValue;
    private buildName;
    protected hash(data: string): string;
}
