import { Specification } from "../model/Specification";
import { TypeSchema } from "./TypeSchema";
import { TypeHubService } from "../typehub.service";
import { ResolverService } from "../resolver.service";
export declare class TypeAPI extends TypeSchema {
    constructor(typeHubService: TypeHubService, resolverService: ResolverService);
    transform(schema: string): Promise<Specification>;
    private transformOperation;
    private transformArgument;
    private transformThrow;
    private parseShape;
}
